Bug 183192 - Pirut does not display complete list of dependancies
Pirut does not display complete list of dependancies
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-02-27 06:53 EST by Philip Wyett
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-26 16:20:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Philip Wyett 2006-02-27 06:53:41 EST
Description of problem:

Pirut will not inform a user of the complete list of deps for an application.
Installing Eclipse post install with pirut brought up a handful of level 1 deps
but far more (probably deps of deps) were downloaded and installed.

How reproducible:

Steps to Reproduce:
1. Install FC5 Test 3
2. Run pirut (Add / Remove Software)
3. Install Eclipse
Actual results:

Receive a short list of deps.

Expected results:

Receive a complete list of deps to be instelled even if they are deps of deps.
Comment 1 Jeremy Katz 2006-02-28 18:46:32 EST
The initial display of what's being installed is just what you've directly
selected for installation and removal.  The display of deps is afterwards.  Are
you sure you didn't just miss the view with deps?
Comment 2 Jeremy Katz 2006-04-26 16:20:52 EDT
Closing due to inactivity.  Please reopen if you have further information to add
to this report.

Note You need to log in before you can comment on or make changes to this bug.